%global _hardened_build 1

Name:     iwpmd
Version:  1.0.6
Release:  2%{?dist}
Summary:  iWarp Port Mapper userspace daemon
License:  GPLv2 or BSD
Url:      http://www.openfabrics.org/
Source:   https://www.openfabrics.org/downloads/libiwpm/%{name}-%{version}.tar.gz
Source1:  iwpmd.service

BuildRequires:    libnl3-devel
BuildRequires:    systemd
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description
iwpmd provides a userspace service for iWarp drivers to claim
tcp ports through the standard socket interface.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
install -Dp -m 0644 iwpmd.conf %{buildroot}%{_sysconfdir}/iwpmd.conf
install -D  -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/iwpmd.service

%post
%systemd_post iwpmd.service

%preun
%systemd_preun iwpmd.service

%postun
%systemd_postun_with_restart iwpmd.service

%files
%doc AUTHORS README
%license COPYING
%{_bindir}/iwpmd
%{_unitdir}/iwpmd.service
%config(noreplace) %{_sysconfdir}/iwpmd.conf

%changelog
* Mon Jul 11 2016 Honggang Li <honli@redhat.com> - 1.0.6-2
- Update source URL.
- Resolves: bz1331651

* Tue Jul  5 2016 Honggang Li <honli@redhat.com> - 1.0.6-1
- Import renamed iwpmd for RHEL-7.3
- Resolves: bz1331651

* Fri Mar 18 2016 Honggang Li <honli@redhat.com> - 1.0.3-7
- Comment all files are licensed as GPLv2 based on fedora review

* Mon Mar 14 2016 Honggang Li <honli@redhat.com> - 1.0.3-6
- Import libiwpm for Fedora

* Tue Jan 12 2016 Honggang Li <honli@redhat.com> - 1.0.3-5
- Rewrite initscript
- Replace upstream blank "COPYING" file with GPLv2 license

* Sat Jan  9 2016 Honggang Li <honli@redhat.com> - 1.0.3-4
- Update the changelog

* Sat Jan  9 2016 Honggang Li <honli@redhat.com> - 1.0.3-3
- Do not install the header files

* Fri Jan  8 2016 Honggang Li <honli@redhat.com> - 1.0.3-2
- Rewrite the spec file as Michal Schmidt (mschmidt@redhat.com) suggested

* Fri Dec 18 2015 Honggang Li <honli@redhat.com> - 1.0.3-1
- Import libiwpm for RHEL-6.8

* Wed Oct 14 2015 Tatyana Nikolova <tatyana.e.nikolova@intel.com> - 1.0.3
- Fix for the init script to enable the service to start automatically
  after boot on SLES11 SP4
- Releasing libiwpm-1.0.3 to be included in OFED-3.18-1

* Fri Aug 14 2015 Tatyana Nikolova <tatyana.e.nikolova@intel.com> - 1.0.3rc1
- Adding iwpmd.conf file to enable changing the size
  of the netlink socket receive buffer
- Including a fix for failing to send netlink messages

* Thu Jul 2 2015 Tatyana Nikolova <tatyana.e.nikolova@intel.com> - 1.0.2
- Fixes for the iwpmd start-up scripts with systemd
- A change to enable multi devices per port mapper client
- Releasing libiwpm-1.0.2 to be included in OFED-3.18

* Fri Oct 31 2014 Tatyana Nikolova <tatyana.e.nikolova@intel.com> - 1.0.1
- Releasing libiwpm-1.0.1 to be included in OFED-3.18

* Mon Jun 10 2013 Tatyana Nikolova <tatyana.e.nikolova@intel.com> - 1.0.0
- Releasing iWarp Port Mapper Version 1.0.0 
